#ifndef MAMEVIDEO_H
#define MAMEVIDEO_H

#include "osdepend.h"

typedef struct
{
    DWORD   m_Top;
    DWORD   m_Left;
    DWORD   m_Width;
    DWORD   m_Height;
} tRect;

extern int  win32_video_init(options_type *osd_options);
extern void win32_video_exit(void);

extern BOOL throttled(void);
extern BOOL DirectDraw_OnMessage(HWND hWnd, UINT Msg, WPARAM wParam, LPARAM lParam, LRESULT* pResult);

#endif
